#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Nov 11 11:35:39 2022

@author: sadievrenseker
"""

import pandas as pd

df = pd.read_excel('gender.xlsx', index_col =0  )

X  = df.drop('gender', axis = 1)

from sklearn.cluster import KMeans
km = KMeans(n_clusters = 2)
km.fit(X)

X['Segments'] = km.labels_
X['Labels'] = df['gender']


from sklearn.metrics import silhouette_score
ss = silhouette_score(X[ ['weight','height'] ], km.labels_)
print(ss)

X= X[ ['weight','height'] ]
for i in range(2,15):
    km = KMeans(n_clusters = i)
    km.fit(X)
    ss = silhouette_score(X[ ['weight','height'] ], km.labels_)
    print(ss)

















